/*
 * menubar.cpp
 */

#include <iostream>

#include "menubar.h"
#include "window_main.h"

myMenuBar::myMenuBar(WindowMain *caller)
{  
	item = Gtk::manage(new Gtk::ImageMenuItem("File", true));
	append(*item);
	m_Submenu = Gtk::manage(new Gtk::Menu());
	item->set_submenu(*m_Submenu);
	
	m_OpenItem = Gtk::manage( new Gtk::ImageMenuItem(Gtk::Stock::OPEN));
	m_Submenu->append(*m_OpenItem);
	m_OpenItem->signal_activate().connect (
			sigc::mem_fun(*this, &myMenuBar::on_menu_mode_open)
	);
	
	m_SaveItem = Gtk::manage( new Gtk::ImageMenuItem(Gtk::Stock::SAVE));
	m_Submenu->append(*m_SaveItem);
	m_SaveItem->signal_activate().connect (
			sigc::mem_fun(*this, &myMenuBar::on_menu_mode_save)
	);
	
	m_QuitItem = Gtk::manage( new Gtk::ImageMenuItem(Gtk::Stock::QUIT));
	m_Submenu->append(*m_QuitItem);
	m_QuitItem->signal_activate().connect (
			sigc::mem_fun(*caller, &WindowMain::hide)
	);
	
	// Define the items of the second Menu:
	item = Gtk::manage(new Gtk::ImageMenuItem("Mode", true));
	append(*item);
	m_Submenu = Gtk::manage(new Gtk::Menu());
	item->set_submenu(*m_Submenu);
	
	m_EditPositionItem = Gtk::manage(new Gtk::ImageMenuItem( myMenuBar::EDIT_POSITION_ICON ));
	m_Submenu->append(*m_EditPositionItem);
	
	m_EditPositionItem->signal_activate().connect (
			sigc::mem_fun(*this, &myMenuBar::on_menu_mode_editposition)
	);
	
	m_EditGameItem = Gtk::manage(new Gtk::ImageMenuItem( myMenuBar::EDIT_GAME_ICON ));
	m_Submenu->append(*m_EditGameItem);
	
	m_EditGameItem->signal_activate().connect (
			sigc::mem_fun(*this, &myMenuBar::on_menu_mode_editgame)
	);
	
	hline = Gtk::manage(new Gtk::SeparatorMenuItem());
	m_Submenu->append(*hline);
	
	m_ShowCandidatesItem = Gtk::manage(new Gtk::ImageMenuItem( myMenuBar::SHOW_CANDIDATES_ICON ));
	m_Submenu->append(*m_ShowCandidatesItem);
	
	m_ShowCandidatesItem->signal_activate().connect (
			sigc::mem_fun(*this, &myMenuBar::on_menu_mode_showcandidates)
	);
}

myMenuBar::~myMenuBar()
{

}

void myMenuBar::on_menu_mode_open()
{
	std::cout << "\nExecuting on_menu_mode_open..." << std::endl;
}

void myMenuBar::on_menu_mode_save()
{
	std::cout << "\nExecuting on_menu_mode_save..." << std::endl;
}

void myMenuBar::on_menu_mode_editposition()
{
	std::cout << "\nExecuting on_menu_mode_editposition..." << std::endl;
}

void myMenuBar::on_menu_mode_editgame()
{
	std::cout << "\nExecuting on_menu_mode_editgame..." << std::endl;
}

void myMenuBar::on_menu_mode_showcandidates()
{
	std::cout << "\nExecuting on_menu_mode_showcandidates..." << std::endl;
}
