/*
 * toolbar.cpp
 */

#include <gtkmm.h>
#include <iostream>

#include "toolbar.h"
#include "window_main.h"

myToolBar::myToolBar(WindowMain *caller)
{
	actionEditPosition = Gtk::Action::create("edit position", myToolBar::EDIT_POSITION_ICON, "Edit Position", "Some description for edit position");	
	toolItem = actionEditPosition->create_tool_item();
	this->append(*toolItem);
    
    actionEditPosition->signal_activate().connect
	(
		sigc::mem_fun(*this, &myToolBar::on_action_editposition)
	);
	
	actionEditGame = Gtk::Action::create("edit game", myToolBar::EDIT_GAME_ICON, "Edit Game", "Some description for edit game");	
	toolItem = actionEditGame->create_tool_item();
	this->append(*toolItem);
    
    actionEditGame->signal_activate().connect
	(
		sigc::mem_fun(*this, &myToolBar::on_action_editgame)
	);
	
	actionShowCandidates = Gtk::Action::create("show candidates", myToolBar::SHOW_CANDIDATES_ICON, "Show Candidates", "Some description for show candidates");	
	toolItem = actionShowCandidates->create_tool_item();
	this->append(*toolItem);
    
    actionShowCandidates->signal_activate().connect
	(
		sigc::mem_fun(*this, &myToolBar::on_action_showcandidates)
	);
		
	this->append(*(Gtk::manage(new Gtk::SeparatorToolItem)));	
		
	actionQuit = Gtk::Action::create("quit", Gtk::Stock::QUIT, "Quit", "Close the application");	
	toolItem = actionQuit->create_tool_item();
	this->append(*toolItem);	
    
    actionQuit->signal_activate().connect
	(
		sigc::mem_fun(*caller, &WindowMain::hide)
	);
}

myToolBar::~myToolBar()
{
	
}

void myToolBar::on_action_editposition()
{
	std::cout << "\nExecuting on_action_editposition..." << std::endl;
}

void myToolBar::on_action_editgame()
{
	std::cout << "\nExecuting on_action_editgame..." << std::endl;
}

void myToolBar::on_action_showcandidates()
{
	std::cout << "\nExecuting on_action_showcandidates..." << std::endl;
}
