/*
 * window_main.cpp
 */
 

#include <gtkmm.h>
#include <iostream>

#include "window_main.h"
#include "icon_factory.h"
#include "menubar.h"
#include "toolbar.h"

WindowMain::WindowMain()
{
	// Setup Window:
	set_title("myProj");
	set_border_width(5);
	set_default_size(450, 350);
	set_position(Gtk::WIN_POS_CENTER);	
	
	m_IconFactory = new IconFactory();
	
	add(m_VBox);
	
	// MENUBAR:
	m_Menubar = new myMenuBar(this);
	m_VBox.pack_start(*m_Menubar, Gtk::PACK_SHRINK);
	
	// TOOLBAR:
	m_Toolbar = new myToolBar(this);
	m_VBox.pack_start(*m_Toolbar, Gtk::PACK_SHRINK);

	show_all_children();
}

WindowMain::~WindowMain()
{
	if(m_Menubar) delete m_Menubar;
	if(m_Toolbar) delete m_Toolbar;
	if(m_IconFactory) delete m_IconFactory;
	
	std::cout << "\n\033[1m" << "GAME OVER!" << "\033[m\n" << std::endl;
}
